Skip to content
Guides
Content & StorefrontArticles

Get a published article

GET/v1/articles/{slug}

Get a published article. A successful request returns HTTP 200 with the documented response body.

Path Parameters

slug*string

URL-friendly identifier.

Header Parameters

x-Store-Domain*string

Store slug or configured domain that selects the store context at the central Storefront gateway.

Length1 <= length <= 253

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/articles/example-resource" \  -H "x-Store-Domain: my-store"
{  "id": "7204558912004325301",  "title": "Example title",  "slug": "example-resource",  "author": "example",  "folder": "example",  "tags": [    "example"  ],  "coverUrl": "https://example.com/resource",  "excerpt": "example",  "body": "example",  "seoTitle": "Example title",  "seoDescription": "Example description.",  "publishedOn": "2026-08-01T15:30:00Z"}